Tryton - Issues

 

Issue9313

Title Properties should support fields.depends too
Priority feature Status resolved
Superseder Nosy List nicoe, pokoli, reviewbot, roundup-bot
Type feature request Components
Assigned To nicoe Keywords review
Reviews 319451002
View: 319451002

Created on 2020-05-07.22:18:51 by nicoe, last changed by roundup-bot.

Messages
New changeset fb90b501e81d by Nicolas ?vrard in branch 'default':
Add support for properties to fields.depends
https://hg.tryton.org/tryton-env/rev/fb90b501e81d
New changeset aff8066131c9 by Nicolas ?vrard in branch 'default':
Add support for properties to fields.depends
https://hg.tryton.org/trytond/rev/aff8066131c9
msg58242 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2020-05-24.11:47:06
Thanks for the clarification, I've updated the review and now it works as expected.
msg58235 (view) Author: [hidden] (nicoe) (Tryton committer) Date: 2020-05-22.19:00:32
shipping_planned_date should be specified in the methods of on_change_with_shipping_date

Indeed at first I was trying to do what you're doing there but I add an issue and finaly I used a new kwarg 'properties' that C├ędric rightfully identified as redundant with methods.
msg58227 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2020-05-22.12:08:51
Sorry, I copyied the wrong review number :( 

I'm testing this on review327141002
msg58226 (view) Author: [hidden] (nicoe) (Tryton committer) Date: 2020-05-22.11:59:42
I don't understand what you're testing, you might have copied the wrong review number.
msg58212 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2020-05-22.11:21:01
I've been testing this on review319451002 but it seems that there is something wrong with _parent_ fields as the sale.shipping_date is empty for the property.

Could you please have a look at it?
review319451002 updated at https://codereview.tryton.org/319451002/#ps303601002
review319451002 updated at https://codereview.tryton.org/319451002/#ps319511002
review319451002 updated at https://codereview.tryton.org/319451002/#ps291651002
review319451002 updated at https://codereview.tryton.org/319451002/#ps325301002
review319451002 updated at https://codereview.tryton.org/319451002/#ps297711002
review319451002 updated at https://codereview.tryton.org/319451002/#ps327151002
msg57877 (view) Author: [hidden] (nicoe) (Tryton committer) Date: 2020-05-07.22:18:49
Following our discussion on https://discuss.tryton.org/t/property-methods-add-to-depends-or-not/2685/4?u=nicoe properties should also support fields.depends
History
Date User Action Args
2020-05-25 09:53:39roundup-botsetmessages: + msg58250
2020-05-25 09:53:37roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg58249
2020-05-24 11:47:07pokolisetstatus: in-progress -> testing
messages: + msg58242
2020-05-22 19:00:33nicoesetmessages: + msg58235
2020-05-22 12:08:51pokolisetmessages: + msg58227
2020-05-22 11:59:42nicoesetmessages: + msg58226
2020-05-22 11:21:01pokolisetstatus: chatting -> in-progress
nosy: + pokoli
messages: + msg58212
2020-05-15 13:04:30reviewbotsetmessages: + msg58039
2020-05-15 10:59:41reviewbotsetmessages: + msg58037
2020-05-08 14:44:39reviewbotsetmessages: + msg57886

Showing 10 items. Show all history (warning: this could be VERY long)